Last Comment Bug 638256 - nanojit: remove LIR_xtbl
: nanojit: remove LIR_xtbl
Status: RESOLVED FIXED
fixed-in-nanojit, fixed-in-tracemonkey
:
Product: Core Graveyard
Classification: Graveyard
Component: Nanojit (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nicholas Nethercote [:njn]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-02 14:58 PST by Nicholas Nethercote [:njn]
Modified: 2014-03-17 08:00 PDT (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
NJ patch (against TM 62988:40f500ecdfd0) (20.56 KB, patch)
2011-03-02 21:00 PST, Nicholas Nethercote [:njn]
edwsmith: review+
Details | Diff | Splinter Review
TM patch (against TM 62988:40f500ecdfd0) (770 bytes, patch)
2011-03-02 21:01 PST, Nicholas Nethercote [:njn]
dmandelin: review+
Details | Diff | Splinter Review

Description Nicholas Nethercote [:njn] 2011-03-02 14:58:15 PST
Bug 620757 changed TM so it no longer traces table switches.  That means that support from them can be removed from Nanojit.  I think this includes SwitchInfo and LIR_jtbl.
Comment 1 Edwin Smith 2011-03-02 16:36:30 PST
TR uses LIR_jtbl, but LIR_jtbl doesn't use SwitchInfo.  LIR_xtbl does, and only on x86.
Comment 2 Nicholas Nethercote [:njn] 2011-03-02 20:35:15 PST
My mistake, I meant LIR_xtbl all along! :)
Comment 3 Nicholas Nethercote [:njn] 2011-03-02 21:00:48 PST
Created attachment 516504 [details] [diff] [review]
NJ patch (against TM 62988:40f500ecdfd0)
Comment 4 Nicholas Nethercote [:njn] 2011-03-02 21:01:20 PST
Created attachment 516505 [details] [diff] [review]
TM patch (against TM 62988:40f500ecdfd0)
Comment 5 Edwin Smith 2011-03-03 07:51:47 PST
Comment on attachment 516504 [details] [diff] [review]
NJ patch (against TM 62988:40f500ecdfd0)

Passed TR acceptance tests on mac x86 and x64, no surprises in patch.
Comment 7 Nicholas Nethercote [:njn] 2011-03-03 14:40:59 PST
Apologies for omitting the bug number in the commit logs for the above patches :(
Comment 8 Nicholas Nethercote [:njn] 2011-04-27 18:14:09 PDT
http://hg.mozilla.org/mozilla-central/rev/de384e76ed18

Note You need to log in before you can comment on or make changes to this bug.